import { Description } from "./Description";
import { Type } from "./type";
/**
 * @hidden
 */
export declare class WebTileDescription extends Description {
    static $t: Type;
    protected get_type(): string;
    get type(): string;
    constructor();
    private p;
    get colSpan(): number;
    set colSpan(a: number);
    private s;
    get rowSpan(): number;
    set rowSpan(a: number);
    private q;
    get colStart(): number;
    set colStart(a: number);
    private t;
    get rowStart(): number;
    set rowStart(a: number);
    private k;
    get maximized(): boolean;
    set maximized(a: boolean);
    private j;
    get disableResize(): boolean;
    set disableResize(a: boolean);
    private h;
    get disableFullscreen(): boolean;
    set disableFullscreen(a: boolean);
    private i;
    get disableMaximize(): boolean;
    set disableMaximize(a: boolean);
    private r;
    get position(): number;
    set position(a: number);
    private ac;
    get tileFullscreenRef(): string;
    set tileFullscreenRef(a: string);
    private ad;
    get tileMaximizeRef(): string;
    set tileMaximizeRef(a: string);
    private ab;
    get tileDragStartRef(): string;
    set tileDragStartRef(a: string);
    private aa;
    get tileDragEndRef(): string;
    set tileDragEndRef(a: string);
    private z;
    get tileDragCancelRef(): string;
    set tileDragCancelRef(a: string);
    private ag;
    get tileResizeStartRef(): string;
    set tileResizeStartRef(a: string);
    private af;
    get tileResizeEndRef(): string;
    set tileResizeEndRef(a: string);
    private ae;
    get tileResizeCancelRef(): string;
    set tileResizeCancelRef(a: string);
}
